lib64gsm1-1.0.16-2pclos2016.x86_64.rpm


Advertisement

Description

lib64gsm1 - Shared libraries for GSM speech compressor

Property Value
Distribution PCLinuxOS
Repository PCLinuxOS x86_64
Package name lib64gsm1
Package version 1.0.16
Package release 2pclos2016
Package architecture x86_64
Package type rpm
Installed size 46.17 KB
Download size 46.17 KB
Official Mirror ftp.nluug.nl
Contains runtime shared libraries for libgsm, an implementation of
the European GSM 06.10 provisional standard for full-rate speech
transcoding, prI-ETS 300 036, which uses RPE/LTP (residual pulse
excitation/long term prediction) coding at 13 kbit/s.
GSM 06.10 compresses frames of 160 13-bit samples (8 kHz sampling
rate, i.e. a frame rate of 50 Hz) into 260 bits; for compatibility
with typical UNIX applications, our implementation turns frames of 160
16-bit linear samples into 33-byte frames (1650 Bytes/s).
The quality of the algorithm is good enough for reliable speaker
recognition; even music often survives transcoding in recognizable
form (given the bandwidth limitations of 8 kHz sampling rate).
The interfaces offered are a front end modelled after compress(1), and
a library API.  Compression and decompression run faster than realtime
on most SPARCstations.  The implementation has been verified against the
ETSI standard test patterns.

Alternatives

Package Version Architecture Repository
lib64gsm1 - - -

Requires

Name Value
libc.so.6()(64bit) -
libc.so.6(GLIBC_2.2.5)(64bit) -
libc.so.6(GLIBC_2.3.4)(64bit) -
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1
rtld(GNU_HASH) -

Provides

Name Value
lib64gsm1 = 1.0.16-2pclos2016
lib64gsm1(x86-64) = 1.0.16-2pclos2016
libgsm.so.1()(64bit) -

Download

Type URL
Binary Package lib64gsm1-1.0.16-2pclos2016.x86_64.rpm
Source Package gsm-1.0.16-2pclos2016.src.rpm

Install Howto

  1. Enable PCLinuxOS x86_64 repository in /etc/apt/sources.list:
    rpm http://ftp.nluug.nl/pub/os/Linux/distr/pclinuxos/pclinuxos/apt/ pclinuxos/64bit x86_64
  2. Update the package index:
    # apt-get update
  3. Install lib64gsm1 rpm package:
    # apt-get install lib64gsm1

See Also

Package Description
lib64gsmlib1-1.11-1pclos2011.x86_64.rpm Dynamic libraries from gsmlib
lib64gsmlib1-devel-1.11-1pclos2011.x86_64.rpm Header files and static libraries from gsmlib
lib64gsnmp-devel-0.3.0-2pclos2013.x86_64.rpm Development tools for the snmp protocol
lib64gsnmp0-0.3.0-2pclos2013.x86_64.rpm A library of functions for the snmp protocol
lib64gspell-devel-1.2.2-1pclos2017.x86_64.rpm A flexible API to implement spell checking in a GTK+ application
lib64gspell1_1-1.2.2-1pclos2017.x86_64.rpm A flexible API to implement spell checking in a GTK+ application
lib64gssdp-devel-0.14.16-1pclos2016.x86_64.rpm Headers for developing programs that will use gssdp
lib64gssdp1.0_3-0.14.16-1pclos2016.x86_64.rpm Main library for gssdp
lib64gssglue-devel-0.4-1pclos2014.x86_64.rpm Static library and header files for the libgssapi library
lib64gssglue1-0.4-1pclos2014.x86_64.rpm A mechanism-switch gssapi library
lib64gstbasevideo-devel-0.10.23-10pclos2016.x86_64.rpm Libraries and include files for GStreamer streaming-media framework
lib64gstbasevideo-devel-0.10.23-11pclos2016.x86_64.rpm Libraries and include files for GStreamer streaming-media framework
lib64gstbasevideo0.10_0-0.10.23-10pclos2016.x86_64.rpm Libraries for GStreamer streaming-media framework
lib64gstbasevideo0.10_0-0.10.23-11pclos2016.x86_64.rpm Libraries for GStreamer streaming-media framework
lib64gstphotography-devel-0.10.23-10pclos2016.x86_64.rpm Libraries and include files for GStreamer streaming-media framework
Advertisement
Advertisement